import { DelayBehavior } from "../../../../intelligence/behavior/util/DelayBehavior.js";
import { AbstractActionDescription } from "./AbstractActionDescription.js";

export class DelayActionDescription extends AbstractActionDescription {


    time = 0;

    execute(actor, dataset, context, system) {
        return DelayBehavior.from(this.time);
    }

    fromJSON({ time }) {

        this.time = time;

    }
}


DelayActionDescription.prototype.type = "Delay";
